# Function extractFaces

- extractFaces(input: any, detections: (Rect | FaceDetection)[]): Promise<HTMLCanvasElement[]>

- Extracts the image regions containing the detected faces.

  ### Returns

  The Canvases of the corresponding image region for each detected face.

  #### Parameters

  - ##### input: any

    The image that face detection has been performed on.

  - ##### detections: (Rect | FaceDetection)[]

    The face detection results or face bounding boxes for that image.

  #### Returns Promise<HTMLCanvasElement[]>

  - Defined in dom/extractFaces.ts:17